Skala
Stock quantities

List all stock quantities

Fetches a complete list of stock quantity records available in the system.

GET
/api/stock_quantities

Fetches a complete list of stock quantity records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

exists[location]?boolean
exists[replenishmentDate]?boolean
amount[between]?string
amount[gt]?string
amount[gte]?string
amount[lt]?string
amount[lte]?string
expectedAmount[between]?string
expectedAmount[gt]?string
expectedAmount[gte]?string
expectedAmount[lt]?string
expectedAmount[lte]?string
committedAmount[between]?string
committedAmount[gt]?string
committedAmount[gte]?string
committedAmount[lt]?string
committedAmount[lte]?string
missingAmount[between]?string
missingAmount[gt]?string
missingAmount[gte]?string
missingAmount[lt]?string
missingAmount[lte]?string
alertLevel[between]?string
alertLevel[gt]?string
alertLevel[gte]?string
alertLevel[lt]?string
alertLevel[lte]?string
stockVariant.stock.isArchive?boolean
location.isActive?boolean
stockVariant.id?integer
stockVariant.id[]?array<>
stockVariant.name?string
stockVariant.stock.id?integer
stockVariant.stock.id[]?array<>
stockVariant.stock.category.name?string
stockVariant.stock.type?string
stockVariant.stock.type[]?array<>
stockVariant.stock.currency.code?string
stockVariant.stock.supplier.name?string
stockVariant.stock.supplier.id?integer
stockVariant.stock.supplier.id[]?array<>
stockVariant.stock.tax.name?string
stockVariant.code?string
stockVariant.internalBarcode?string
stockVariant.supplierBarcode?string
stockVariant.registeredBarcode?string
location.id?integer
location.id[]?array<>
amount?string
amount[]?array<>
averageCost?string
averageCost[]?array<>
expectedAmount?string
expectedAmount[]?array<>
committedAmount?string
committedAmount[]?array<>
missingAmount?string
missingAmount[]?array<>
alertLevel?string
alertLevel[]?array<>
order[stockVariant.id]?string
Default"asc"
Value in"asc" | "desc"
order[stockVariant.name]?string
Default"asc"
Value in"asc" | "desc"
order[stockVariant.code]?string
Default"asc"
Value in"asc" | "desc"
order[stockVariant.internalBarcode]?string
Default"asc"
Value in"asc" | "desc"
order[stockVariant.supplierBarcode]?string
Default"asc"
Value in"asc" | "desc"
order[stockVariant.registeredBarcode]?string
Default"asc"
Value in"asc" | "desc"
order[stockVariant.stock.category.name]?string
Default"asc"
Value in"asc" | "desc"
order[stockVariant.stock.supplier.name]?string
Default"asc"
Value in"asc" | "desc"
order[stockVariant.stock.tax.name]?string
Default"asc"
Value in"asc" | "desc"
order[averageCost]?string
Default"asc"
Value in"asc" | "desc"
order[stockVariant.stock.currency.code]?string
Default"asc"
Value in"asc" | "desc"
order[amount]?string
Default"asc"
Value in"asc" | "desc"
order[expectedAmount]?string
Default"asc"
Value in"asc" | "desc"
order[committedAmount]?string
Default"asc"
Value in"asc" | "desc"
order[missingAmount]?string
Default"asc"
Value in"asc" | "desc"
order[alertLevel]?string
Default"asc"
Value in"asc" | "desc"

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_quantities"
[
  {
    "id": 0,
    "amount": "string",
    "expectedAmount": "string",
    "committedAmount": "string",
    "missingAmount": "string",
    "valueInStock": "string",
    "location": {
      "id": 0,
      "name": "string"
    },
    "stockVariant": {
      "id": 0,
      "stock": {
        "id": 0,
        "category": {
          "id": 0,
          "name": "string"
        },
        "unit": {
          "id": 0,
          "name": "string"
        },
        "supplier": {
          "id": 0,
          "name": "string"
        },
        "type": "string",
        "tax": {
          "id": 0,
          "rate": "string",
          "name": "string"
        },
        "currency": {
          "id": 0,
          "name": "string",
          "code": "string",
          "symbol": "string"
        },
        "isMaking": true,
        "isBuying": true,
        "trackType": "string",
        "buyingUnit": {
          "id": 0,
          "name": "string"
        },
        "unitConversion": 1
      },
      "averageCost": "string",
      "valueInStock": "string",
      "alertLevel": "string",
      "code": "string",
      "name": "string",
      "defaultPrice": "string",
      "price": "string",
      "materialCost": "string",
      "operationCost": "string",
      "totalCost": "string",
      "salePrice": "string",
      "internalBarcode": "string",
      "registeredBarcode": "string",
      "supplierBarcode": "string"
    },
    "usableAmount": "string",
    "averageCost": "string",
    "normalizedValueInStock": "string",
    "status": "string",
    "replenishmentDate": "2019-08-24T14:15:22Z",
    "replenishment_quantity": "string",
    "alertLevel": "string",
    "alertBelowDate": "2019-08-24T14:15:22Z"
  }
]